return Def.ActorFrame {
	LoadActor( "_Tap Receptor", NOTESKIN:LoadActor("", "_Ready Receptor") ) .. {
		Frames = {};
		InitCommand=function(self)
			self:playcommand("Set")
		end;
		GameplayLeadInChangedMessageCommand=function(self)
			self:playcommand("Set")
		end;
		SetCommand=function(self)
			self:visible(GAMESTATE:GetGameplayLeadIn())
		end;
	};

	LoadActor( "_Tap Receptor", NOTESKIN:LoadActor("", "Go Receptor") ) .. {
		Frames = {
			{ Frame = 0; Delay = 0.1; };
			{ Frame = 1; Delay = 0.1; };
			{ Frame = 2; Delay = 0.1; };
			{ Frame = 3; Delay = 0.1; };
			{ Frame = 4; Delay = 0.1; };
			{ Frame = 5; Delay = 0.1; };
			{ Frame = 6; Delay = 0.1; };
			{ Frame = 7; Delay = 0.1; };
			{ Frame = 8; Delay = 0.1; };
			{ Frame = 9; Delay = 0.1; };
		};
	
		InitCommand=function(self)
			self:playcommand("Set"):effectclock('beat')
		end;
		GameplayLeadInChangedMessageCommand=function(self)
			self:playcommand("Set")
		end;
		SetCommand=function(self)
			self:visible(not GAMESTATE:GetGameplayLeadIn())
		end;
	};
}
